import { AfterContentInit, QueryList } from '@angular/core';
export declare type NtMenuAlign = '' | 'center' | 'right';
export declare type NtMenuOrientation = '' | 'horizontal' | 'vertical';
export declare class NtMenuComponent implements AfterContentInit {
    private _simple;
    private _expanded;
    private _nested;
    private _align;
    class: string;
    set simple(value: boolean);
    get simple(): boolean;
    set expanded(value: boolean);
    get expanded(): boolean;
    set nested(value: boolean);
    get nested(): boolean;
    set align(value: NtMenuAlign);
    get align(): NtMenuAlign;
    orientation: NtMenuOrientation;
    childMenus: QueryList<NtMenuComponent>;
    constructor();
    ngAfterContentInit(): void;
}
